X2SYS_GET(1)

NAME
x2sys_get - Get track listing from the x2sys track index databases

SYNOPSIS
x2sys_get -TTAG [ -C ] [ -D ] [ -E ] [ -Fflags ] [ -L[list] ] [ -Nflags ] [ -Qe|i ] [ -Rwest/east/south/north[r] ] [ -V ] ]

DESCRIPTION
x2sys_get will return the names of the track data files in the x2sys data base for this TAG that match the given requirements. You may choose a specific region and optionally ask only for tracks that meet certain data criteria. Finally, you may select an option to list all possible pairs that might generate crossovers.

-T  Specify the x2sys TAG which tracks the attributes of this data type.

OPTIONS
No space between the option flag and the associated arguments.

-C  Instead of reporting the track names, just output the coordinates of the center of each bin that has at least one track with the specified data.

-D  Only report the track names [Default adds the availability of data for each field].

-E  Append the file extension to all reported tracks [no extension].

-F  Give a comma-separated list of column names (as described in the definition file) that should all be present within the selected region. [Default selects all data columns]. A track will be included in the returned list if at least one bin reports that the track has all of the listed columns.

-L  Crossover mode. Return a list of track pairs that should be checked for possible crossovers. The list is determined from the bin-index data base on the assumption that tracks occupying the same bin are very likely to intersect. By default we return all possible pairs in the data base. Append the name of a file with a list of tracks if you want to limit the output to those pairs that involve at least one of the track names in your list. The output is suitable for the -K option in x2sys_cross.

-N  Give a comma-separated list of column names (as described in the definition file) that all must be absent. A track will be excluded from the returned list if at least one bin reports that the track some all of the listed columns.

-Q  Append e for external COEs only, and i for internal COEs only [Default is all COEs]. This applies to the crossover setup only and requires -L.

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid. For Cartesian data just give xmin/xmax/ymin/ymax. This option limits the tracks to those that fall at least partly inside the specified domain.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To find all the tracks associated with the tag MGD77, restricted to occupy a certain region in the south Pacific, and have at least free air anomalies and bathymetry, try

x2sys_get -V -TMGD77 -R180/240/-60/-30 -Ffaa,depth

To find all the tracks associated with the tag MGD77 that have depth but not twt, try

x2sys_get -V -TMGD77 -Fdepth -Ntwt

To find all the pairs associated with the tag MGD77 that might intersect each other, but only those pairs which involves tracks in your list new.lis, try

x2sys_get -V -TMGD77 -Lnew.lis > xpairs.lis

NOTE
The tracks that are returned all have the requested data (-F) within the specified region (-R). Furthermore, the columns of Y and N for other data types also reflect the content of the track portion within the selected region.

SEE ALSO
x2sys_binlist(1), x2sys_cross(1), x2sys_datalist(1), x2sys_init(1), x2sys_list(1), x2sys_put(1), x2sys_report(1), x2sys_solve(1)